Bug 1265199 - fuse-bxms-integration should include drools-karaf-feature.xml
fuse-bxms-integration should include drools-karaf-feature.xml
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Build and Assembly (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity high
: ER4
: 6.2.0
Assigned To: Mario Fusco
Jiri Petrlik
:
Depends On:
Blocks: 1265353
  Show dependency treegraph
 
Reported: 2015-09-22 07:15 EDT by Ryan Zhang
Modified: 2016-05-08 21:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1265353 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
etirelli: needinfo+


Attachments (Terms of Use)

  None (edit)
Description Ryan Zhang 2015-09-22 07:15:36 EDT
Description of problem:
GSS team has spot that the drools-karaf is missing in the fuse integration pack.

I think the drools karaf has been excluded for some reason in 
https://github.com/jboss-integration/fuse-bxms-integ/blob/fuse-bxms-integ-1.0.0.redhat-620147/release/karaf/fuse-integration-karaf-distro/assembly.xml#L36

Please have a look that if we need to include drools karaf and update the assembly.

I put this under BRMS team and assign to Kris for review since it's drools related.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Edson Tirelli 2015-09-22 09:19:42 EDT
Mario, David, can you please comment on this? If it was excluded on purpose, can you please explain the reasons for it.
Comment 2 Mario Fusco 2015-09-25 05:42:58 EDT
The reasons for this choice have been clarified here https://bugzilla.redhat.com/show_bug.cgi?id=1265353
Comment 3 Jiri Petrlik 2015-11-23 07:59:19 EST
The file drools-karaf-features for BxMS 6.2.0.CR1 was packed separately into [1]. Customers can add this file into Fuse before installing Integration package. I consider this bug as verified.

[1] http://dev138.mw.lab.eng.bos.redhat.com/candidate/brms-6.2.0.CR1/jboss-brms-bpmsuite-6.2.0.CR1-fuse-features.zip

Note You need to log in before you can comment on or make changes to this bug.